Bug 16446 - Allow librarians to add borrowers to patron lists by borrowernumber
Summary: Allow librarians to add borrowers to patron lists by borrowernumber
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-05 00:47 UTC by Liz Rea
Modified: 2021-10-22 15:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 16446: Add ability to add patrons to list by borrowernumber (9.85 KB, patch)
2021-08-27 12:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16446: Add ability to add patrons to list by borrowernumber (9.91 KB, patch)
2021-08-27 13:20 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 16446: (follow-up) Fix translation and adjust radio buttons (4.67 KB, patch)
2021-08-30 13:08 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16446: Add ability to add patrons to list by borrowernumber (10.00 KB, patch)
2021-10-20 21:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16446: (follow-up) Fix translation and adjust radio buttons (4.74 KB, patch)
2021-10-20 21:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-05-05 00:47:34 UTC
It would be nice to be able to add borrowers to lists based on a supplied list of cardnumbers or borrowernumbers (that they could get from a report, for example).
Comment 1 Andrew Fuerste-Henry 2019-10-09 23:09:46 UTC
Giving this a bump. I'm training a library that wants to batch modify patrons who lack cardnumbers.
Comment 2 Katrin Fischer 2019-10-14 20:31:19 UTC
+1
Comment 3 Katrin Fischer 2020-01-11 12:35:04 UTC
There is an option to enter cardnumbers now, but no option for borrowernumbers. Changing the bug title slightly.
Comment 4 Nick Clemens 2021-08-27 12:49:52 UTC
Created attachment 124177 [details] [review]
Bug 16446: Add ability to add patrons to list by borrowernumber

AddPatronsToList already took a borrowernumber parameter, however, it
did not check if those were valid numbers. This patch expands the search
to apply to cardnumber or borrowernumbers in the subroutine.

Template and script are adjusted to allow choosing borrowernumbers or cardnumbers

To test:
1 - Apply patch
2 - Browse to Tools->Patron lists
3 - Create a list, or choose Actions->Add patrons for an existing list
4 - Click 'Add multiple patrons'
5 - Cardnumbers is preselected
6 - Enter a list of cardnumbers, ensure you test:
    Cardnumber already in list
    Cardnumber not in list
    Non-existent cardnumber
7 - Patrons should be added/errors reported correctly
8 - Repeat with borowernumbers
Comment 5 Andrew Fuerste-Henry 2021-08-27 13:20:22 UTC
Created attachment 124182 [details] [review]
Bug 16446: Add ability to add patrons to list by borrowernumber

AddPatronsToList already took a borrowernumber parameter, however, it
did not check if those were valid numbers. This patch expands the search
to apply to cardnumber or borrowernumbers in the subroutine.

Template and script are adjusted to allow choosing borrowernumbers or cardnumbers

To test:
1 - Apply patch
2 - Browse to Tools->Patron lists
3 - Create a list, or choose Actions->Add patrons for an existing list
4 - Click 'Add multiple patrons'
5 - Cardnumbers is preselected
6 - Enter a list of cardnumbers, ensure you test:
    Cardnumber already in list
    Cardnumber not in list
    Non-existent cardnumber
7 - Patrons should be added/errors reported correctly
8 - Repeat with borowernumbers

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 Katrin Fischer 2021-08-29 11:28:12 UTC
Nice try, Nick, but you have been caught by the translation police ;)

+                <tr><th>[% id_column | html FILTER ucfirst %] not found</th></tr>
Comment 7 Katrin Fischer 2021-08-29 11:34:39 UTC
This is only one of the lines I think are not good. Please make sure cardnumber or borrowernumber remain translatable throughout instead of using the variables to replace the text.

Otherwise this looks pretty good to me. QA tools and tests pass.

As translation length of strings may vary I think I'd like the text for the radio box after the radio box instead of below. It kind of looks strange to me that there are not center or beginning of the text now.
Comment 8 Nick Clemens 2021-08-30 13:08:54 UTC
Created attachment 124242 [details] [review]
Bug 16446: (follow-up) Fix translation and adjust radio buttons
Comment 9 Katrin Fischer 2021-10-20 21:29:54 UTC
Created attachment 126623 [details] [review]
Bug 16446: Add ability to add patrons to list by borrowernumber

AddPatronsToList already took a borrowernumber parameter, however, it
did not check if those were valid numbers. This patch expands the search
to apply to cardnumber or borrowernumbers in the subroutine.

Template and script are adjusted to allow choosing borrowernumbers or cardnumbers

To test:
1 - Apply patch
2 - Browse to Tools->Patron lists
3 - Create a list, or choose Actions->Add patrons for an existing list
4 - Click 'Add multiple patrons'
5 - Cardnumbers is preselected
6 - Enter a list of cardnumbers, ensure you test:
    Cardnumber already in list
    Cardnumber not in list
    Non-existent cardnumber
7 - Patrons should be added/errors reported correctly
8 - Repeat with borowernumbers

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-10-20 21:29:59 UTC
Created attachment 126624 [details] [review]
Bug 16446: (follow-up) Fix translation and adjust radio buttons

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2021-10-21 10:24:37 UTC
Pushed to master for 21.11, thanks to everybody involved!